import QtQuick 1.0
import "../common"
import "../common/units.js" as Units

VideoPreview {
    id: preview
    buttons: buttons

    FocusScope {
        id: buttons
        focus: true
        anchors.right: previewImage.right
        anchors.left: parent.left
        anchors.bottom: parent.bottom
        anchors.bottomMargin: Units.tvPx(155)
        height: row.height

        Row {
            id: row
            anchors.top: parent.top
            anchors.left: parent.left
            spacing: Units.tvPx(32)
    
            GlowButton {
                id: buttonPlay
                text: u2d.tr("Play Trailer")
                focus: true
                KeyNavigation.right: buttonRent
                onClicked: shell.play(uri)
                width: preview.buttonWidth
            }
    
            GlowButton {
                id: buttonRent
                text: if (nfo.video) {
                    return u2d.tr("Rent from $%1").arg(nfo.video.rent_price ? nfo.video.rent_price : "3.99")
                } else {
                    return "Rent"
                }
                KeyNavigation.right: buttonBuy
                KeyNavigation.left: buttonPlay
                width: preview.buttonWidth
            }
    
            GlowButton {
                id: buttonBuy
                text: if (nfo.video) {
                    return u2d.tr("Buy from $%1").arg(nfo.video.buy_price ? nfo.video.buy_price : "5.00")
                } else {
                    return "Buy"
                }
                KeyNavigation.left: buttonRent
                width: preview.buttonWidth
            }
        }
    }
}
