import QtQuick 1.0
import "../common"
import "../common/units.js" as Units

VideoPreview {
    id: preview
    buttons: buttons

    FocusScope {
        id: buttons
        focus: true
        anchors.right: previewImage.right
        anchors.left: parent.left
        anchors.bottom: parent.bottom
        anchors.bottomMargin: Units.tvPx(155)
        height: row.height

        Row {
            id: row
            anchors.top: parent.top
            anchors.left: parent.left
            spacing: Units.tvPx(32)

            GlowButton {
                id: buttonPlay
                text: u2d.tr("Play")
                focus: true
                KeyNavigation.right: buttonRate
                onClicked: shell.play(uri)
                width: preview.buttonWidth
            }

            GlowButton {
                id: buttonRate
                text: u2d.tr("Rate")
                KeyNavigation.right: buttonDelete
                KeyNavigation.left: buttonPlay
                width: preview.buttonWidth
            }

            GlowButton {
                id: buttonDelete
                text: u2d.tr("Delete")
                KeyNavigation.left: buttonRate
                width: preview.buttonWidth
            }
        }
    }
}
