import QtQuick 1.0
import "../common"
import "../common/units.js" as Units

VideoPreview {
    id: preview
    buttons: buttons

    FocusScope {
        id: buttons
        focus: true
        anchors.right: previewImage.right
        anchors.left: parent.left
        anchors.bottom: parent.bottom
        anchors.bottomMargin: Units.tvPx(155)
        height: row.height

        Row {
            id: row
            anchors.top: parent.top
            anchors.left: parent.left
            spacing: Units.tvPx(32)

            GlowButton {
                id: buttonPlay
                text: u2d.tr("Play")
                focus: true
                KeyNavigation.right: buttonRate
                onClicked: shell.play(uri)
                width: preview.buttonWidth
            }

            GlowButton {
                id: buttonRate
                text: u2d.tr("Rate")
                KeyNavigation.left: buttonPlay
                width: preview.buttonWidth
            }
        }
    }

    TextCustom {
        anchors.left: buttons.left
        anchors.top: buttons.bottom
        anchors.topMargin: Units.tvPx(50)
        fontSize: "small"
        text: if (nfo.video) {
            var datetime = nfo.video.expires ? new Date(nfo.video.expires) : new Date()
            var time = Qt.formatTime(datetime)
            var date = Qt.formatDate(datetime, Qt.DefaultLocaleLongDate)
            // time / date are some objects that need to be converted to strings first
            return ("Expires at %1 on %2".arg(String(time)).arg(String(date)))
        } else {
            return ""
        }
    }
}
