import QtQuick 1.0
import "../common"
import "../common/units.js" as Units

AbstractButton {
    id: simpleLauncherItem
    property string icon
    property bool active
    property string activePath: "artwork/icons/%1-active.png"
    property string inactivePath: "artwork/icons/%1-deactive.png"
    property string focusedPath: "artwork/icons/%1-focus.png"

    anchors.left: parent.left
    anchors.right: parent.right
    height: width

    Image {
        source: inactivePath.arg(icon)
        anchors.fill: parent
        anchors.margins: Units.tvPx(-9)
        smooth: true
    }

    Image {
        source: activePath.arg(icon)
        anchors.fill: parent
        anchors.margins: Units.tvPx(-9)
        opacity: simpleLauncherItem.state == "active" ? 1.0 : 0.0
        smooth: true

        Behavior on opacity { NumberAnimation { duration: 250 } }
    }

    Image {
        source: focusedPath.arg(icon)
        anchors.fill: parent
        anchors.margins: Units.tvPx(-9)
        opacity: simpleLauncherItem.state == "selected" ? 1.0 : 0.0
        smooth: true

        Behavior on opacity { NumberAnimation { duration: 250 } }
    }

    state: {
        if(activeFocus)
            return "selected"
        else if (active)
            return "active"
        else
            return "default"
    }
}
